import React from 'react'

export default class Video extends React.PureComponent {
  constructor(props) {
    super(props)

  }
  render() {
    const { poster, src, id } = this.props
    return (
      <video
        id={id}
        // playsInline={true}
        // webkit-playsinline="true"
        // x5-video-player-type="h5-page"
        // x5-video-player-fullscreen="true"
        controls
        preload="auto"
        poster={poster}
      >
        <source id="mp4" src={src} type="video/mp4" />
      </video>
    )

  }
}
